Cabal, profiling, GHC 6.6.1

Duncan Coutts duncan.coutts at
Sun Apr 6 21:44:08 EDT 2008

On Mon, 2008-04-07 at 08:25 +0700, Peter Gammie wrote:

> Note that Cabal created "libHShsql-postgresql_p-1.7.a" but GHC  
> expected "libHShsql-postgresql-1.7_p.a".
> Is this an issue with GHC 6.6.1 or Cabal?

It's an issue with Cabal. I broke it. :-)

I've pushed a patch to fix it.

This reminds us that we need a decent set of automated regression tests.
It's too easy to break the less commonly used features. Lennart has been
looking at this a bit which is good.


More information about the cabal-devel mailing list